what you don't know can hurt you

Ubuntu Security Notice USN-4422-1

Ubuntu Security Notice USN-4422-1
Posted Jul 14, 2020
Authored by Ubuntu | Site security.ubuntu.com

Ubuntu Security Notice 4422-1 - A large number of security issues were discovered in the WebKitGTK Web and JavaScript engines. If a user were tricked into viewing a malicious website, a remote attacker could exploit a variety of issues related to web browser security, including cross-site scripting attacks, denial of service attacks, and arbitrary code execution.

tags | advisory, remote, web, denial of service, arbitrary, javascript, code execution, xss
systems | linux, ubuntu
advisories | CVE-2020-13753, CVE-2020-9806
MD5 | 1b8543f2c71af096df5e32c7f265fadc

Ubuntu Security Notice USN-4422-1

Change Mirror Download
==========================================================================
Ubuntu Security Notice USN-4422-1
July 14, 2020

webkit2gtk vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 20.04 LTS
- Ubuntu 19.10
- Ubuntu 18.04 LTS

Summary:

Several security issues were fixed in WebKitGTK.

Software Description:
- webkit2gtk: Web content engine library for GTK+

Details:

A large number of security issues were discovered in the WebKitGTK Web and
JavaScript engines. If a user were tricked into viewing a malicious
website, a remote attacker could exploit a variety of issues related to web
browser security, including cross-site scripting attacks, denial of service
attacks, and arbitrary code execution.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.04 LTS:
libjavascriptcoregtk-4.0-18 2.28.3-0ubuntu0.20.04.1
libwebkit2gtk-4.0-37 2.28.3-0ubuntu0.20.04.1

Ubuntu 19.10:
libjavascriptcoregtk-4.0-18 2.28.3-0ubuntu0.19.10.1
libwebkit2gtk-4.0-37 2.28.3-0ubuntu0.19.10.1

Ubuntu 18.04 LTS:
libjavascriptcoregtk-4.0-18 2.28.3-0ubuntu0.18.04.1
libwebkit2gtk-4.0-37 2.28.3-0ubuntu0.18.04.1

This update uses a new upstream release, which includes additional bug
fixes. After a standard system update you need to restart any applications
that use WebKitGTK, such as Epiphany, to make all the necessary changes.

References:
https://usn.ubuntu.com/4422-1
CVE-2020-13753, CVE-2020-9802, CVE-2020-9803, CVE-2020-9805,
CVE-2020-9806, CVE-2020-9807, CVE-2020-9843, CVE-2020-9850

Package Information:
https://launchpad.net/ubuntu/+source/webkit2gtk/2.28.3-0ubuntu0.20.04.1
https://launchpad.net/ubuntu/+source/webkit2gtk/2.28.3-0ubuntu0.19.10.1
https://launchpad.net/ubuntu/+source/webkit2gtk/2.28.3-0ubuntu0.18.04.1
Login or Register to add favorites

File Archive:

August 2020

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Aug 1st
    0 Files
  • 2
    Aug 2nd
    0 Files
  • 3
    Aug 3rd
    0 Files
  • 4
    Aug 4th
    0 Files
  • 5
    Aug 5th
    0 Files
  • 6
    Aug 6th
    0 Files
  • 7
    Aug 7th
    0 Files
  • 8
    Aug 8th
    0 Files
  • 9
    Aug 9th
    0 Files
  • 10
    Aug 10th
    0 Files
  • 11
    Aug 11th
    0 Files
  • 12
    Aug 12th
    0 Files
  • 13
    Aug 13th
    0 Files
  • 14
    Aug 14th
    0 Files
  • 15
    Aug 15th
    0 Files
  • 16
    Aug 16th
    0 Files
  • 17
    Aug 17th
    0 Files
  • 18
    Aug 18th
    0 Files
  • 19
    Aug 19th
    0 Files
  • 20
    Aug 20th
    0 Files
  • 21
    Aug 21st
    0 Files
  • 22
    Aug 22nd
    0 Files
  • 23
    Aug 23rd
    0 Files
  • 24
    Aug 24th
    0 Files
  • 25
    Aug 25th
    0 Files
  • 26
    Aug 26th
    0 Files
  • 27
    Aug 27th
    0 Files
  • 28
    Aug 28th
    0 Files
  • 29
    Aug 29th
    0 Files
  • 30
    Aug 30th
    0 Files
  • 31
    Aug 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2020 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close